Subject: Re: bug#49005: 28.0.50; Not possible to jump to first or last completions entry in fido-vertical-mode
From: João Távora <[email-masked]>
To: Simon Lang <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Aug 2021 13:00:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

João Távora <[email-masked]> writes:

> No, no, makes a lot of sense.  I just haven't looked at your code
> yet in depth.
>
> Your implementation seems to repeat some logic, and I'd rather
> reuse paging code, so maybe you can work on that: reducing code
> duplication.  But as soon as I have time I'll look at this and offer some
> suggestions.
>
> Sorry for the delay, and keep bumping this if I forget.

I've pushed a solution to this in:

    commit 96bbd6f0a7f20ae77bcd8a477b54b11ba5b42cc6 (HEAD -> master, origin/master, origin/HEAD)
    Author: João Távora <[email-masked]>
    Date:   Tue Aug 17 12:48:37 2021 +0100
     
        Jump to first,last completion with M-<, M-> in icomplete-vertical-mode
     
        Fixes: bug#49005
     
        Co-authored-by: Simon Lang <[email-masked]>

With the aforementioned de-duplications and binding it to M-< and M->
so that it also works easily for tty emacsen.  Let me know what you
think.

Thanks,
João